      REAL FUNCTION TOTD(XDUMMY)
C
C     Filename:  TOTD.FOR
C
C     Calculation of total energy-loss in detector A, B, C, and D in MeV
C     (sum of dE/dx in detectors A, B, C, and D)
C     by ADC channel number (A/B/C/DPHA) and amplifier channel
C     (A/B/C/DCHN=0 -> low channel/high amplification,
C      A/B/C/DCHN=1 -> high channel/low amplification)
C
C     H. Sierks, University of Kiel, 08 Nov 1994
C
      REAL
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
      COMMON/PAWIDN/IDNEVT,VIDN1,VIDN2,VIDN3,VIDN(10),
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
*
      if (achn.eq.0.) then
        totd=3.0*apha/1023.
      else
        totd=30.0*apha/1023.
      endif
      if (bchn.eq.0.) then
        totd=totd+3.0*bpha/1023.
      else
        totd=totd+45.0*bpha/1023.
      endif
      if (cchn.eq.0.) then
        totd=totd+16.07*cpha/1023.
      else
        totd=totd+166.7*cpha/1023.
      endif
      if (dchn.eq.0.) then
        totd=totd+20.0*dpha/1023.
      else
        totd=totd+225.0*dpha/1023.
      endif

      END
